Error
A valid request URL is required to generate request examples{
"access_profiles": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"is_active": true,
"version": 123,
"tags": [
"<string>"
],
"provider_configs": [
{
"provider_name": "<string>",
"id": 123,
"all_models_allowed": true,
"allowed_models": [
"<string>"
],
"budgets": [
{
"max_limit": 123,
"reset_duration": "1h",
"id": "<string>",
"reset_config": {
"quarter_start_month": 6
},
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"token_reset_duration": "1h",
"request_max_limit": 123,
"request_reset_duration": "1h",
"token_current_usage": 123,
"request_current_usage": 123
}
}
],
"budgets": [
{
"max_limit": 123,
"reset_duration": "1h",
"id": "<string>",
"reset_config": {
"quarter_start_month": 6
},
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"token_reset_duration": "1h",
"request_max_limit": 123,
"request_reset_duration": "1h",
"token_current_usage": 123,
"request_current_usage": 123
},
"calendar_aligned": true,
"allow_all_providers": true,
"auto_rotation_interval": 123,
"next_rotation_at": "2023-11-07T05:31:56Z",
"last_rotation_at": "2023-11-07T05:31:56Z",
"mcp_tool_groups": [
{
"tool_group_id": 123
}
],
"mcp_servers": [
{
"mcp_server_id": "<string>"
}
],
"mcp_tool_overrides": [
{
"mcp_client_id": "<string>",
"tool_name": "<string>",
"action": "include"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123,
"total_count": 123,
"limit": 123,
"offset": 123
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "anthropic",
"model_requested": "<string>",
"request_type": "<string>"
}
}Access Profiles
List access profiles
Returns access profiles visible to the caller.
GET
/
api
/
governance
/
access-profiles
Error
A valid request URL is required to generate request examples{
"access_profiles": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"is_active": true,
"version": 123,
"tags": [
"<string>"
],
"provider_configs": [
{
"provider_name": "<string>",
"id": 123,
"all_models_allowed": true,
"allowed_models": [
"<string>"
],
"budgets": [
{
"max_limit": 123,
"reset_duration": "1h",
"id": "<string>",
"reset_config": {
"quarter_start_month": 6
},
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"token_reset_duration": "1h",
"request_max_limit": 123,
"request_reset_duration": "1h",
"token_current_usage": 123,
"request_current_usage": 123
}
}
],
"budgets": [
{
"max_limit": 123,
"reset_duration": "1h",
"id": "<string>",
"reset_config": {
"quarter_start_month": 6
},
"scope": "<string>",
"current_usage": 123,
"last_reset": "2023-11-07T05:31:56Z"
}
],
"rate_limit": {
"id": "<string>",
"token_max_limit": 123,
"token_reset_duration": "1h",
"request_max_limit": 123,
"request_reset_duration": "1h",
"token_current_usage": 123,
"request_current_usage": 123
},
"calendar_aligned": true,
"allow_all_providers": true,
"auto_rotation_interval": 123,
"next_rotation_at": "2023-11-07T05:31:56Z",
"last_rotation_at": "2023-11-07T05:31:56Z",
"mcp_tool_groups": [
{
"tool_group_id": 123
}
],
"mcp_servers": [
{
"mcp_server_id": "<string>"
}
],
"mcp_tool_overrides": [
{
"mcp_client_id": "<string>",
"tool_name": "<string>",
"action": "include"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123,
"total_count": 123,
"limit": 123,
"offset": 123
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "anthropic",
"model_requested": "<string>",
"request_type": "<string>"
}
}This endpoint is available in Bifrost Enterprise only.
Authorizations
ManagementBearerAuthBasicAuth
Management API authentication for /api/* endpoints. Use the Authorization header
with Bearer <token>, where <token> is one of:
- a Bifrost management API key,
- a dashboard session token issued by
POST /api/session/login, - base64 of
<admin-username>:<admin-password>(legacy equivalent ofBasicAuth).
Virtual keys (sk-bf-*) and the x-api-key header are not accepted on management APIs -
the sole exception is GET /api/governance/virtual-keys/quota, which is virtual-key-only.
Query Parameters
Comma-separated list of tags to filter on.
Was this page helpful?

